        .seg    ".text"
        .proc 04
        .global main
	.align 		4
        .type   main,#function
main:
        save    %sp,-0x60,%sp
1:
	call	2f
	sethi	%hi(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l1
2:
	or	%l1,%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l1
	add	%o7,%l1,%l7
        sethi   %hi(_mFargc),%o5
	or      %o5,%lo(_mFargc),%o5
	ld    [%l7+%o5],%o5
	st      %i0,[%o5]
        sethi   %hi(_mFargv),%o5
	or      %o5,%lo(_mFargv),%o5
	ld    [%l7+%o5],%o5
	st    %i1,[%o5]
        sethi   %hi(&mFNAME),%o5
	or      %o5,%lo(&mFNAME),%o5
	ld    [%l7+%o5],%o0
        call    _mFgmain
        nop
        ret
        restore %g0,%o0,%o0
